
/* RatMandel DrawView.h  by William Gilbert,  Dec 1992 */

#import <appkit/appkit.h>

#define AND			&&
#define OR 			||
#define IS			==
#define IS_NOT		!=
#define NOT			!
#define MOD			%
#define SQ(x)		(x)*(x)

@interface DrawView:View
 {
    id	printerPopUpButton;
    id	notesText;
    id	paramsForm;
    id	stopButton;
    id	startButton;
    id	planePopUpButton;
	id	accessoryBox;
    NXRect stopRect;
    BOOL running;
    int pixelSize,				// pixel sixe for printing
		lineCompleted,			// the last full line computed
    	iterates,				// max iteration power
		cycle,					// cycle length to check
		displayplane;			// which plane section to display
	float xr, yr, xs, ys,		// r, s parameters of plane section
		xmax, xmin, ymax, ymin,	// sides of window
		close;					// how close to check for iterates
	double sqclose, invclose;	// square and inverse square of close
 }

- start:sender;
- clearNotes:sender;
- lastCoords:sender;
- presetMandelbrot:sender;
- presetSnowshoe:sender;
- presetSpyglass:sender;
- presetWink:sender;
- presetTieAndCane:sender;
- presetNapoleon:sender;
- presetSperm:sender;
- presetRing:sender;
- presetBloodClot:sender;
- presetAlien:sender;
- presetLunar:sender;
- presetScallops:sender;
- (BOOL)continue;
- drawSelf:(NXRect *)rect :(int)count;
- (void) drawline:(float)col :(float)p1 :(float) p2 :(float) q;
- (float)pixelCol:(float)x :(float)y;
- setParameters:(int)plane 
	xr:(float)paramsxr yr:(float)paramsyr 
	xs:(float)paramsxs ys:(float)paramsys 
	xmin:(float)paramsxmin ymin:(float)paramsymin 
	xmax:(float)paramsxmax ymax:(float)paramsymax 
	iterates:(int)paramsiterates cycle:(int)paramscycle 
	close:(float)paramsclose;
- getParameters:(int *)plane
	xr:(float *)paramsxr yr:(float *)paramsyr 
	xs:(float *)paramsxs ys:(float *)paramsys 
	xmin:(float *)paramsxmin ymin:(float *)paramsymin 
	xmax:(float *)paramsxmax ymax:(float *)paramsymax 
	iterates:(int *)paramsiterates cycle:(int *)paramscycle 
	close:(float *)paramsclose;
- parametersChanged:sender;
- mouseDown:(NXEvent *)theEvent;

@end
